#include <curses.h>
#include "include/color.h"

/* Color Guide 
 * 1 RED
 * 2 GREEN
 * 3 YELLOW
 * 4 BLUE
 * 5 MAGENTA
 * 6 CYAN
 * 7 WHITE
 * 8 BLACK, GREEN
 * 9 BLACK, RED
 * 10 BLACK,BLUE
 * 11 BLACK, YELLOW
 */

/* addColor() -- Turn on colour for a square. */
void addColor(int Data)
{

     switch(Data)
     {        
	
	case '>':
		attron(COLOR_PAIR(5));
        	attron(A_BOLD);
		break;
	case '-':
		attron(COLOR_PAIR(4));
		attron(A_BOLD);
		break;
	case '=':
		attron(COLOR_PAIR(4));
		attron(A_BOLD);
		break;
        case '*':
		attron(COLOR_PAIR(1));
		attron(A_BOLD);
		break;
        case '{':
                attron(COLOR_PAIR(1));
                attron(A_BOLD);
                break;
        case '[':
                attron(COLOR_PAIR(1));                                                         break;			
        case 'L':
	       attron(COLOR_PAIR(8));
		break;
	case 'S': 
		attron(COLOR_PAIR(9));
		break;
	case 'B': 
		attron(COLOR_PAIR(10));
		break;
	case 'F': 
		attron(COLOR_PAIR(11));
		break;

		
	default: break;
     }
}	


void removeColor(int Data)
{
	switch(Data)
	{
			     
	case '>':
		attroff(COLOR_PAIR(5));
		attroff(A_BOLD);
		break;
        case '-':
                attroff(COLOR_PAIR(4));
                attroff(A_BOLD);
        	break;
        case '=':
                attroff(COLOR_PAIR(4));
                attroff(A_BOLD);
        	break;
	case '*':
	        attroff(COLOR_PAIR(1));
	        attroff(A_BOLD);
		break;
	case '{':
                attroff(COLOR_PAIR(1));
                attroff(A_BOLD);
                break;
	case '[':
	     	attroff(COLOR_PAIR(1));
		break;
	 case 'L':
		attroff(COLOR_PAIR(8));
		break;
	 case 'S':
		attroff(COLOR_PAIR(9));
		break;
	 case 'B':
		attroff(COLOR_PAIR(10));
		break;
	 case 'F':
		attroff(COLOR_PAIR(11));
		break;				

	default: break;
	}

}
