#ifndef CSHOOT_BEHAVIOUR_H
#define CSHOOT_BEHAVIOUR_H

#include "actor.h"


/* Behaviours */
void B_Player(Actor*);		/* Gets user input and moves player's ship */
void B_Rock(Actor*);		/* Obstacle that just floats left */
void B_Yourshot(Actor*);	/* Good guy's shot */
void B_Explode(Actor*);		/* Explosion */
void B_Theirshot(Actor*);	/* Bad guy's shot */
void B_Drunk(Actor*);		/* Bad guy AI */
void B_YRespawn(Actor*);	/* Placesetter for respawning player */
void B_Bonus(Actor*);		/* Bonus item */
/* End of Behaviours */

/* !!! dmt -- These are color functions and may not be needed here */
void addColor(int Data);
void removeColor(int Data);

/* !!! Collision functions may not be needed here either */
void Collide(Actor*, Actor*);	/* Run results of a collision */
void FindColl(Actor*);		/* Find collisions and run Collide() */

#endif /* CSHOOT_BEHAVIOUR_H */
